Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0


Summary:        Direct Web Remoting
Name:           dwr
Version:        2.0.5
Release:        alt3_2jpp5
Epoch:          0
License:        Apache Software License 2.0
URL:            https://dwr.dev.java.net/
Group:          Development/Java
Source0:        https://dwr.dev.java.net/files/documents/2427/101134/dwr-2.0.5-src.zip
Source1:        dwr-2.0.5.pom
Patch:          dwr-2.0.5-to138-StrutsCreator.patch
BuildRequires: jpackage-utils >= 0:1.7.5
BuildRequires: ant >= 0:1.6.5
BuildRequires: junit >= 0:3.8.1
BuildRequires: backport-util-concurrent
BuildRequires: bsf
BuildRequires: jakarta-commons-logging
BuildRequires: dom4j
BuildRequires: google-guice1
BuildRequires: hibernate2
BuildRequires: hibernate3
BuildRequires: hibernate3-entitymanager
BuildRequires: jdom
BuildRequires: jetty6
BuildRequires: jsp_2_0_api
BuildRequires: myfaces
BuildRequires: servlet_2_4_api
BuildRequires: servlet_2_5_api
BuildRequires: spring2-all
BuildRequires: spring2-webmvc
BuildRequires: struts >= 0:1.3.8
BuildRequires: webwork
BuildRequires: xml-commons-jaxp-1.3-apis
BuildRequires: xom
BuildRequires: xwork

Requires: backport-util-concurrent
Requires: bsf
Requires: jakarta-commons-logging
Requires: dom4j
Requires: google-guice1
Requires: hibernate2
Requires: hibernate3
Requires: hibernate3-entitymanager
Requires: jdom
Requires: jsp_2_0_api
Requires: myfaces
Requires: servlet_2_4_api
Requires: servlet_2_5_api
Requires: spring2-all
Requires: spring2-webmvc
Requires: struts >= 0:1.3.8
#Requires:  webwork
Requires: xml-commons-jaxp-1.3-apis
Requires: xom
Requires: xwork
%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
DWR allows Javascript in a browser to interact with Java on
a server and helps you manipulate web pages with the results.
DWR is Easy Ajax for Java.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description    javadoc
%{summary}.

%prep
%setup -q -c -n %{name}-%{version}
for j in $(find . -name "*.jar"); do
      mv $j $j.no
done
rm -rf java/org/directwebremoting/webwork/
%patch0 -b .sav0

%build
pushd jar
ln -s $(build-classpath backport-util-concurrent)
ln -s $(build-classpath bsf)
ln -s $(build-classpath commons-logging)
ln -s $(build-classpath dom4j)
ln -s $(build-classpath google-guice1)
ln -s $(build-classpath hibernate2)
ln -s $(build-classpath hibernate3)
ln -s $(build-classpath hibernate3-entitymanager)
#ln -s $(build-classpath hostedqa)
ln -s $(build-classpath jdom)
ln -s $(build-classpath jetty6/jetty6)
ln -s $(build-classpath jetty6/jetty6-util)
ln -s $(build-classpath jsp_2_0_api)
#ln -s $(build-classpath junit)
ln -s $(build-classpath myfaces/myfaces-jsf-api)
ln -s $(build-classpath servlet_2_4_api)
ln -s $(build-classpath servlet_2_5_api)
ln -s $(build-classpath spring2)
ln -s $(build-classpath spring2/webmvc)
ln -s $(build-classpath struts)
ln -s $(build-classpath webwork)
ln -s $(build-classpath xml-commons-jaxp-1.3-apis)
ln -s $(build-classpath xom)
ln -s $(build-classpath xwork)
popd
mkdir -p web/WEB-INF/lib
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 \
    -Djava.13.home=%{_jvmdir}/java \
    -Djava.15.home=%{_jvmdir}/java \
    files


%install

# jars
install -Dpm 644 target/ant/%{name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap org.directwebremoting %{name} %{version} JPP %{name}

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

install -Dpm 644 target/ant/%{name}.war \
      $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/%{name}.war

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/ant/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%files
%{_javadir}/*.jar
%doc LICENSE.txt
%{_datadir}/%{name}-%{version}
%{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Sun Mar 20 2011 Igor Vlasenko <viy@altlinux.ru> 0:2.0.5-alt3_2jpp5
- fixed build with google-guice

* Tue May 11 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0.5-alt2_2jpp5
- fixes for java6 support

* Sun Mar 07 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.0.5-alt1_2jpp5
- full build

* Wed Jan 16 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.1.3-alt1_2jpp1.7
- converted from JPackage by jppimport script

